%define gitver %(echo %version | tr . _)
Name:          libstatgrab
Version:       0.92.1
Release:       1mamba
Summary:       A library that provides cross platform access to statistics about the system on which it’s run
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://libstatgrab.org/
Source:        https://github.com/libstatgrab/libstatgrab.git/LIBSTATGRAB_%{gitver}/libstatgrab-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libncurses-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
A library that provides cross platform access to statistics about the system on which it’s run.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
./autogen.sh

%build
%configure \
   --disable-man

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libstatgrab.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/statgrab.h
%{_libdir}/libstatgrab.a
%{_libdir}/libstatgrab.la
%{_libdir}/libstatgrab.so
%{_libdir}/pkgconfig/libstatgrab.pc
%dir %{_docdir}/libstatgrab
%{_docdir}/libstatgrab/*
%doc NEWS README README.md

%files tools
%defattr(-,root,root)
%{_bindir}/saidar
%{_bindir}/statgrab
%{_bindir}/statgrab-make-mrtg-config
%{_bindir}/statgrab-make-mrtg-index

%changelog
* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 0.92.1-1mamba
- automatic version update by autodist

* Fri Oct 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.92-1mamba
- package created using the webbuild interface
